* This is a small demonstrative example
* In this case it is shown the use of logic propositions
* instead of integer constraints INT1, INT2, INT3

BINARY VARIABLES Y1, Y2, Y3;
POSITIVE VARIABLES X1, X2, C;
VARIABLE Z;
EQUATIONS EQUAT1, EQUAT2, EQUAT3, EQUAT4, EQUAT5, EQUAT6,
           OBJECTIVE;

EQUAT1.. X2- X1 + 2 =L= 0;
EQUAT2.. C =E= 5;
EQUAT3.. 2 - X2 =L= 0;
EQUAT4.. C =E= 7;
EQUAT5.. X1-X2 =L= 1;
EQUAT6.. X1 =E= 0;


LOGIC EQUATION L1,L2,L3;
L1.. Y1 and not Y2 -> not Y3;
L2.. Y2 -> not Y3;
L3.. Y3 -> not Y2;


OBJECTIVE.. Z =E= C + 2*X1 + X2;
X1.UP=20;
x2.UP=20;
C.UP=7;


$ONECHO > "%emp.info%"
disjunction y1 equat1 equat2 elseif y2 equat3 equat4
disjunction y3 equat5 else equat6

* optional, if not set EMP will find the modeltype suitable
* modeltype mip
$OFFECHO

OPTION LIMCOL=0;
OPTION LIMROW=0;
MODEL PEQUE2 /ALL/;
SOLVE PEQUE2 USING EMP MINIMIZING Z;

$EXIT

$ONECHO > "%lm.info%"

DISJUNCTION D1, D2;


D1 IS
IF Y('1') THEN
        EQUAT1;
        EQUAT2;
ELSIF Y('2') THEN
        EQUAT3;
        EQUAT4;
ENDIF;

D2 IS
IF Y('3') THEN
        EQUAT5;
ELSE
        EQUAT6;
ENDIF;
Y('1') and not Y('2') -> not Y('3');
Y('2') -> not Y('3') ;
Y('3') -> not Y('2') ;

$OFFECHO

